package com.ffii.core.user.req;

import java.util.List;

import javax.validation.constraints.NotNull;

public class SaveGroupReq {
  private Integer id;

  @NotNull
  private String name;
  private String description;

  @NotNull
  private List<Integer> addUserIds;
  @NotNull
  private List<Integer> removeUserIds;

  @NotNull
  private List<Integer> addAuthIds;
  @NotNull
  private List<Integer> removeAuthIds;

  public Integer getId() {
    return id;
  }

  public void setId(Integer id) {
    this.id = id;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public List<Integer> getAddUserIds() {
    return addUserIds;
  }

  public void setAddUserIds(List<Integer> addUserIds) {
    this.addUserIds = addUserIds;
  }

  public List<Integer> getRemoveUserIds() {
    return removeUserIds;
  }

  public void setRemoveUserIds(List<Integer> removeUserIds) {
    this.removeUserIds = removeUserIds;
  }

  public List<Integer> getAddAuthIds() {
    return addAuthIds;
  }

  public void setAddAuthIds(List<Integer> addAuthIds) {
    this.addAuthIds = addAuthIds;
  }

  public List<Integer> getRemoveAuthIds() {
    return removeAuthIds;
  }

  public void setRemoveAuthIds(List<Integer> removeAuthIds) {
    this.removeAuthIds = removeAuthIds;
  }

}
